=== debian/changelog ===
golang-github-aws-aws-sdk-go (0.9.9+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #798297).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 12:34:07 +1000
