=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
    dh-golang,
    golang-go,
#   golang-github-lsegal-gucumber-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-github-vaughan0-go-ini-dev,
    golang-golang-x-tools-dev
Standards-Version: 3.9.6
Homepage: https://github.com/aws/aws-sdk-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-aws-aws-sdk-go.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-aws-aws-sdk-go.git

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-go,
#   golang-github-lsegal-gucumber-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-github-vaughan0-go-ini-dev,
    golang-golang-x-tools-dev
Built-Using: ${misc:Built-Using}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.
