## golang-github-aws-aws-sdk-go 1.0.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,10 @@
 Build-Depends: debhelper (>= 9),
     dh-golang,
     golang-go,
-#   golang-github-lsegal-gucumber-dev,
+    golang-github-go-ini-ini-dev,
+    golang-github-jmespath-go-jmespath-dev,
+    golang-github-lsegal-gucumber-dev,
+    golang-github-smartystreets-goconvey-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-github-vaughan0-go-ini-dev,
     golang-golang-x-tools-dev
@@ -19,7 +22,10 @@
 Architecture: all
 Depends: ${misc:Depends},
     golang-go,
-#   golang-github-lsegal-gucumber-dev,
+    golang-github-go-ini-ini-dev,
+    golang-github-jmespath-go-jmespath-dev,
+    golang-github-lsegal-gucumber-dev,
+    golang-github-smartystreets-goconvey-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-github-vaughan0-go-ini-dev,
     golang-golang-x-tools-dev
