=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2015].
  * (Build-)Depends:
    + golang-github-go-ini-ini-dev
    + golang-github-jmespath-go-jmespath-dev
    + golang-github-lsegal-gucumber-dev
    + golang-github-smartystreets-goconvey-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Feb 2016 14:55:41 +1100
