=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/aws/aws-sdk-go
#export DH_GOLANG_GO_GENERATE := 1
#export DH_GOLANG_INSTALL_ALL := 1

## Disable features to avoid dependency "github.com/lsegal/gucumber"
## which depends on "github.com/shiena/ansicolor".
export DH_GOLANG_EXCLUDES = internal/features

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

AWS_CREDENTIALS_PATH=aws/credentials
override_dh_auto_configure:
	dh_auto_configure
	## Install test data file for TestSharedCredentials/*
	cp -v $(AWS_CREDENTIALS_PATH)/example.ini _build/src/$(DH_GOPKG)/$(AWS_CREDENTIALS_PATH)/

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
