=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.1.14+dfsg-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * debian/control: Cull unneeded dependencies.
  * debian/rules: Remove now unneeded exclude.
  * Packaging refresh:
    - Updated Standards-Version (no changes).
    - Use new dh-golang features.
    - Use golang-any.
    - Remove more unneeded dependencies and Built-Using.

 -- Martín Ferrari <tincho@debian.org>  Sun, 25 Sep 2016 17:46:34 +0100

golang-github-aws-aws-sdk-go (1.1.14+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016] (Closes: #819215, #817790).
  * rules: less aggressive build with GOMAXPROCS=1.
  * Standards-Version: 3.9.7.
  * (Build-)Depends:
    - golang-golang-x-tools-dev
    + golang-golang-x-tools-dev (>= 1:0.0~git20160315~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 25 Mar 2016 23:31:17 +1100
