=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
    dh-golang (>= 1.17~),
    golang-any,
    golang-github-go-ini-ini-dev,
    golang-github-jmespath-go-jmespath-dev,
    golang-github-lsegal-gucumber-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-golang-x-tools-dev (>= 1:0.0~git20160315~)
Standards-Version: 3.9.8
Homepage: https://github.com/aws/aws-sdk-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-aws-aws-sdk-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-aws-aws-sdk-go.git
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-go-ini-ini-dev,
    golang-github-jmespath-go-jmespath-dev,
    golang-github-lsegal-gucumber-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-golang-x-tools-dev (>= 1:0.0~git20160315~)
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.
