=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.4.22+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Thu, 02 Nov 2017 23:00:02 +0000

golang-github-aws-aws-sdk-go (1.4.22+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New release (Closes: #869800).
  * d/control:
    + Bump to 4.0.0 standard version (No change needed).
    + Bump debhelper to 10.
    + Fix pkg-go team's full name.
    + Add myself to uploaders.
    + Remove test dependency for dev package.
    + Remove unnecessary build dependencies.
    + Add autopkgtest-pkg-go.
  * Bump to compat 10.

 -- Shengjing Zhu <i@zhsj.me>  Mon, 07 Aug 2017 02:25:37 +0800

golang-github-aws-aws-sdk-go (1.1.14+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  [ Team upload ]
  * Rebuild for jessie-backports.
  * Add me to uploaders.

  [ Martín Ferrari ]
  * Add myself to Uploaders.

 -- Martín Ferrari <tincho@debian.org>  Fri, 17 Feb 2017 04:45:47 +0000
