=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
    dh-golang (>= 1.17~),
    golang-any,
    golang-github-go-ini-ini-dev,
    golang-github-jmespath-go-jmespath-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
Standards-Version: 4.0.0
Homepage: https://github.com/aws/aws-sdk-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-aws-aws-sdk-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-aws-aws-sdk-go.git
XS-Go-Import-Path: github.com/aws/aws-sdk-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-go-ini-ini-dev,
    golang-github-jmespath-go-jmespath-dev,
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.
