## golang-github-aws-aws-sdk-go 1.12.79+dfsg

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.12.79+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau <aviau@debian.org> ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * New upstream release.
  * debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Apr 2018 00:08:39 +1000

golang-github-aws-aws-sdk-go (1.8.44+dfsg-1) UNRELEASED; urgency=medium

  * New release (Closes: #875653).
  * d/copyright: update missed copyright.
  * Add golang-golang-x-net-dev to Build-Depends, new test depends.
  * Update Standards-Version to 4.1.0
    + Change Priority to optional.
  * doc-src/aws-godoc/templates/godoc.html has same problem with
    doc-src/plugin/templates/default/layout/html/footer.erb,
    so exclude it from orig tarball, and add the dfsg version in
    patch form.

 -- Shengjing Zhu <i@zhsj.me>  Sat, 16 Sep 2017 01:32:02 +0800
