## golang-github-aws-aws-sdk-go 1.16.18%2Bdfsg

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.16.18+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #918413).

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 13 Jan 2019 12:33:31 +0100
