=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <i@zhsj.me>,
Build-Depends: debhelper (>= 11~),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-go-ini-ini-dev,
               golang-github-jmespath-go-jmespath-dev,
               golang-github-stretchr-testify-dev | golang-testify-dev,
               golang-golang-x-net-dev,
Standards-Version: 4.1.0
Homepage: https://github.com/aws/aws-sdk-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
XS-Go-Import-Path: github.com/aws/aws-sdk-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: golang-github-go-ini-ini-dev,
         golang-github-jmespath-go-jmespath-dev,
         ${misc:Depends},
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.
