=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,11 @@
 # uscan(1) configuration file.
 version=3
+
+#opts=\
+#repacksuffix=+dfsg,\
+#dversionmangle=s{\+dfsg\d*}{},\
+# https://github.com/aws/aws-sdk-go/releases?after=v1.0.2 \
+# .*/archive/v?(\d[\d\.]+)\.tar\.gz
 
 opts=\
 repacksuffix=+dfsg,\
