## golang-github-aws-aws-sdk-go 1.21.6+dfsg

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.21.6+dfsg-2) unstable; urgency=medium

  * Fix test failures on 32-bit platforms detected by Ubuntu autopkgtest:
    - aws/csm: Fix int64 alignment of metricChan on 386 and arm
    - service/ec2: Fix int overflow in minTime on 386 and arm
  * Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Remove alternative Build-Depends on golang-testify-dev
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Mon, 26 Aug 2019 05:29:37 -0600

golang-github-aws-aws-sdk-go (1.21.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Maintainer email address to team+pkg-go@tracker.debian.org.
  * Bump Standards-Version to 4.4.0 (no change).
  * Replace "MIT" with "Expat" as license short name in debian/copyright.

 -- Anthony Fok <foka@debian.org>  Sat, 27 Jul 2019 08:17:42 -0600
