## golang-github-aws-aws-sdk-go 1.27.4+dfsg

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.27.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.27.4
  * Update debian/watch to version=4 and add filenamemangle option
  * Update debian/copyright as upstream has removed doc-src/*
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.5.0 (no change)
  * Build-Depends: dh-golang (>= 1.31~) and simplify debian/rules
  * Remove dependency on golang-github-go-ini-ini-dev and
    golang-github-stretchr-testify-dev as per upstream
  * Remove 32-bit fixes which have been applied upstream:
    - 0003-fix-int64-alignment-on-32-bit-platforms.patch
    - 0004-fix-int-overflow-on-32-bit-platforms.patch

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 01:18:38 -0700
