=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <i@zhsj.me>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.31~),
               golang-any,
               golang-github-jmespath-go-jmespath-dev,
               golang-golang-x-net-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
Homepage: https://github.com/aws/aws-sdk-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: golang-github-jmespath-go-jmespath-dev,
         ${misc:Depends}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.
