## golang-github-aws-aws-sdk-go 1.35.0

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.35.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Anthony Fok <foka@debian.org>  Wed, 09 Dec 2020 13:58:49 -0700

golang-github-aws-aws-sdk-go (1.35.0-1) unstable; urgency=medium

  * New upstream version 1.35.0
  * debian/gbp.conf: Disable overlay and custom export-dir etc.,
    and set debian-branch to debian/sid for DEP-14 conformance
  * Bump dependency: golang-github-jmespath-go-jmespath-dev (>= 0.4.0)

 -- Anthony Fok <foka@debian.org>  Thu, 22 Oct 2020 15:10:03 -0600

golang-github-aws-aws-sdk-go (1.34.22-1) unstable; urgency=medium

  * New upstream version 1.34.22
  * Update dependencies according to go.mod
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * debian/copyright: Remove the now unneeded Files-Excluded field

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2020 01:53:10 -0600
