=== debian/control ===
--- 
+++ 
@@ -7,11 +7,13 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
                golang-any,
-               golang-github-jmespath-go-jmespath-dev,
-               golang-golang-x-net-dev
+               golang-github-go-sql-driver-mysql-dev (>= 1.5.0),
+               golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
+               golang-github-pkg-errors-dev (>= 0.9.1),
+               golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
@@ -21,7 +23,10 @@
 
 Package: golang-github-aws-aws-sdk-go-dev
 Architecture: all
-Depends: golang-github-jmespath-go-jmespath-dev,
+Depends: golang-github-go-sql-driver-mysql-dev (>= 1.5.0),
+         golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
+         golang-github-pkg-errors-dev (>= 0.9.1),
+         golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.
