=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-aws-aws-sdk-go-$1.tar.gz%,\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{}" \
    https://github.com/aws/aws-sdk-go/releases?after=v1.35.1 \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-aws-aws-sdk-go-$1.tar.gz%,\
#repacksuffix=+dfsg,\
#dversionmangle=s{\+dfsg\d*}{}" \
#    https://github.com/aws/aws-sdk-go/releases \
#    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
