## golang-github-aws-aws-sdk-go 1.36.15

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.36.15-1) unstable; urgency=medium

  * New upstream version 1.36.15
  * Drop repack suffix
  * Update section to golang
  * Update Standards-Version to 4.5.1 (no changes)
  * No longer needs golang-github-go-sql-driver-mysql-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Dec 2020 02:17:48 +0800
