=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/aws/aws-sdk-go \
  refs/tags/v?@ANY_VERSION@ debian
