## golang-github-aws-aws-sdk-go 1.36.33

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.36.33-1) unstable; urgency=medium

  * New upstream version 1.36.33
  * debian/watch: Try to fetch supposedly pristine gzip-compressed tarball
  * Bump versioned dependency on golang-golang-x-net-dev as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 02 Feb 2021 15:28:02 -0700
