=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-any,
                golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
                golang-github-pkg-errors-dev (>= 0.9.1),
-               golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc)
+               golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
@@ -24,7 +24,7 @@
 Architecture: all
 Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
          golang-github-pkg-errors-dev (>= 0.9.1),
-         golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc),
+         golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.
