=== debian/rules ===
#!/usr/bin/make -f

export GOMAXPROCS := 1
export DH_GOLANG_INSTALL_EXTRA := aws/credentials/example.ini

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries
