=== debian/watch ===
version=4
#opts="mode=git, pgpmode=none" \
# https://github.com/aws/aws-sdk-go \
#  refs/tags/v?@ANY_VERSION@ debian

# To fetch the supposedly pristine gzip-compressed tarball:
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/aws/aws-sdk-go/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
